io.etcd.jetcd.api

## Interface AuthRoleGetResponseOrBuilder

All Superinterfaces:
  com.google.protobuf.MessageLiteOrBuilder, com.google.protobuf.MessageOrBuilder

All Known Implementing Classes:
  AuthRoleGetResponse, AuthRoleGetResponse.Builder

    public interface AuthRoleGetResponseOrBuilder
    extends com.google.protobuf.MessageOrBuilder

### Method Summary

All Methods Instance Methods Abstract Methods
`ResponseHeader` `getHeader()` `.etcdserverpb.ResponseHeader header = 1;`
`ResponseHeaderOrBuilder` `getHeaderOrBuilder()` `.etcdserverpb.ResponseHeader header = 1;`
`Permission` `getPerm(int index)` `repeated .authpb.Permission perm = 2;`
`int` `getPermCount()` `repeated .authpb.Permission perm = 2;`
`List<Permission>` `getPermList()` `repeated .authpb.Permission perm = 2;`
`PermissionOrBuilder` `getPermOrBuilder(int index)` `repeated .authpb.Permission perm = 2;`
`List<? extends PermissionOrBuilder>` `getPermOrBuilderList()` `repeated .authpb.Permission perm = 2;`
`boolean` `hasHeader()` `.etcdserverpb.ResponseHeader header = 1;`

### Methods inherited from interface com.google.protobuf.MessageOrBuilder

`findInitializationErrors, getAllFields, getDefaultInstanceForType, getDescriptorForType, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

### Methods inherited from interface com.google.protobuf.MessageLiteOrBuilder

`isInitialized`

### Method Detail

#### hasHeader

    boolean hasHeader()

`.etcdserverpb.ResponseHeader header = 1;`

Returns:
  Whether the header field is set.

#### getHeader

    ResponseHeader getHeader()

`.etcdserverpb.ResponseHeader header = 1;`

Returns:
  The header.

#### getHeaderOrBuilder

    ResponseHeaderOrBuilder getHeaderOrBuilder()

`.etcdserverpb.ResponseHeader header = 1;`

#### getPermList

    List<Permission> getPermList()

`repeated .authpb.Permission perm = 2;`

#### getPerm

    Permission getPerm(int index)

`repeated .authpb.Permission perm = 2;`

#### getPermCount

    int getPermCount()

`repeated .authpb.Permission perm = 2;`

#### getPermOrBuilderList

    List<? extends PermissionOrBuilder> getPermOrBuilderList()

`repeated .authpb.Permission perm = 2;`

#### getPermOrBuilder

    PermissionOrBuilder getPermOrBuilder(int index)

`repeated .authpb.Permission perm = 2;`